_user_int_ram  .equ  $D2FD

.org $D748		;_asm_exec_ram

 call $4AB1			;_runindicoff
 call $49DC			;_flushallmenus
 call $4A82			;_clrScrn
;decompress or copy the picture data for each picture (5 total) to the correct location
 ld de,oni_1
 call decompV
 ld hl,$FC00
 ld de,$CA00
 ld bc,1024
 ldir
 ld de,oni_2
 call decompV
 ld hl,$FC00
 ld de,$F600
 ld bc,1024
 ldir
 ld de,oni_3
 call decompV
 ld hl,$FC00
 ld de,$F200
 ld bc,1024
 ldir
 ld de,oni_4
 call decompV
 ld hl,$FC00
 ld de,$EE00
 ld bc,1024
 ldir
 ld de,oni_5
 call decompV

 res 2,(iy+$23)		;turn user int off so it won't get called by
					;accident before we're ready
clear_int:		;I always clear the interrupt for neatness (mainly for debugging)
 ld hl,$d2fd	;point hl to interrupt RAM
 ld (hl),$5A	;$5A is the standard checksum for a blank interrupt
 inc hl			;point hl one byte forward
 ld (hl),0		;clear the next byte
 ld de,$d2ff	;point de to the byte after hl
 ld bc,198		;we have to clear 198 bytes (of 200) since we already did the 1st & 2nd
 ldir			;clear it out

 ld hl,int				;hl point to the begining of the program
 ld de,_user_int_ram+1	;de pionts to where the program is to be loaded
 ld bc,int_end-int		;bc is the length of the program to be sent
 ldir					;copies it

 ld a,(_user_int_ram+1)			;this sets up checksum byte - 
 ld hl,_user_int_ram+($28*1)	;we need to add the 1st bite with another one
 add a,(hl)						;every 40 bytes and store it in the...
 ld hl,_user_int_ram+($28*2)
 add a,(hl)
 ld hl,_user_int_ram+($28*3)
 add a,(hl)
 ld hl,_user_int_ram+($28*4)
 add a,(hl)
 ld hl,_user_int_ram+($28*5)
 add a,(hl)
 ld (_user_int_ram),a			;first byte of the interrupt area

 set 2,(iy+$23)				;turn on the interrupt
 ld b,10
keyLoop:
 halt
 djnz keyLoop
 ld b,10

 ld a,%10000000
 out (1),a
 in a,(1)
 cp $FF
 jr z,keyLoop

 res 2,(iy+$23)		;turn user int off
 ld a,$3C
 out (0),a
 call $4A82			;_clrScrn
 ret


int:
 push af
 push hl
 ld hl,counter
 dec (hl)
 jr nz,EndIntRoutine
 ld (hl),2
 inc hl
 ld hl,page_number
 ld a,(hl)
 cp 32				;where to put the "use #"
 jr nz,keepgoing
 ld (hl),1
keepgoing:
 ld b,(hl)
 inc (hl)
findpage:
 inc hl
 djnz findpage
 ld a,(Last)
 cp (hl)
 jr z,EndIntRoutine
 ld a,(hl)
 out (0),a
 ld (Last),a
EndIntRoutine:
 pop hl
 pop af
 ret
int_end:


Last:
	.db 0
counter:
	.db 2

page_number:
	.db 1
page_order:
;gray 32 (use 32 & all pics)
	.db $2E,$3C,$3C,$32,$2E,$3C,$3C,$36,$2E,$3C,$3C,$32
	.db $2E,$3C,$0A,$3C,$3C,$2E,$32,$3C,$2E,$3C,$3C,$2E
	.db $36,$3C,$3C,$32,$2E,$3C,$3C

;gray 16 (use 14 & last 4 pics only)
;	.db $3C,$2E,$3C,$32,$3C,$36,$3C,$2E,$3C,$32,$3C,$2E,$3C

;gray 8 (use 8 & last 3 pics only)
;	.db $3C,$2E,$3C,$32,$3C,$2E,$3C

;gray 4 (use 5 & last 2 pics only)
;	.db $3C,$2E,$3C,$2E,$3C



;********************************************************
; -decompresses data that is vertically compressed with
; bmp2asm, by Levi Lansing    (total size=63 bytes)
; -(decompresses data into the video memory - 1024 bytes)
; -de=location of data to decompress
; -destroys- a,b,c,hl,de (points to byte after data)
;********************************************************
decompV:
 ld hl,$FC00        ;point hl to the screen mem
decompLoop:
 ld a,(de)          ;load the first byte of the compressed data
 cp $B7             ;check if it's a marker
 jr nz,DCnorm       ;if it's not, treat it as a normal byte
 inc de             ;if the byte is marked, the next byte tells us the value
 ld a,(de)          ;that is repeated so we
 ld c,a             ;put that in c
 inc de             ;the next byte tells us how many times it's repeated
 ld a,(de)
 ld b,a             ;we will load that into b to be used as a counter
 inc de             ;point to the next byte for later
DCrepeatLoop:
 ld (hl),c          ;put the value in the screen mem once
 push de            ;hide de
 ld de,16
 add hl,de          ;point hl to the next row (16 bytes forward)
 jr nc,DCloop       ;if hl isn't past the end of the screen data ($FFFF), then continue
 ld de,1022         ;if it is, we need to put it back to the next column
 sbc hl,de          ;point hl to the 1st row of the next column
 ld a, l
 cp $10             ;if l is over $10 (16d), it has completed the full screen
 jr c,DCloop        ;jump if it's not over $10 to continue
 pop de             ;restore de again
 ret                ;return from the routine
DCloop:
 pop de             ;restore de
 djnz DCrepeatLoop  ;decrement b and continue loading the same byte down the
                    ;column until b is 0
 jr decompLoop      ;continue with the next byte
DCnorm:
 ld (hl),a          ;load the byte into the screen mem
 inc de             ;point de to the next byte
 push de            ;hide it
 ld de, 16
 add hl,de          ;point hl to the next row (16 bytes forward)
 pop de             ;restore de
 jr nc,decompLoop   ;if hl did not go past $FFFF (it would flip to 0+) then continue
 push de            ;hide de again
 ld de, 1022
 sbc hl,de          ;subtracting 1022 from hl put's it at the 1st row of the next column
 ld a, l
 cp $10             ;check if hl is past the first row (if it is, we finished decompressing)
 pop de             ;restore de again
 jr c,decompLoop    ;if we're not done, keep going...
 ret                ;if we get here, we're done and will return from the routine



oni_1:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 587 bytes - 43% compressed!
  .db $B7, $FF, $C0, $FA, $FA, $F8, $F8, $F8, $F9, $F8, $F8, $F8, $F9, $F9, $F9, $F8
  .db $F9, $F8, $FA, $FB, $FB, $F9, $FA, $FA, $F8, $F9, $FA, $F8, $F8, $F8, $FC, $FC
  .db $B7, $FE, $04, $FF, $FC, $FD, $FE, $FC, $FD, $FF, $FF, $FC, $FC, $FF, $FD, $FF
  .db $FC, $FD, $FF, $FF, $FF, $FE, $FF, $FF, $FE, $FC, $FF, $FF, $FC, $FC, $FD, $FD
  .db $FB, $F8, $80, $DB, $93, $21, $23, $F9, $86, $9B, $92, $AA, $0D, $0D, $8D, $14
  .db $34, $B0, $40, $82, $56, $76, $9F, $1D, $D0, $C1, $D4, $9D, $F1, $31, $21, $A8
  .db $48, $E2, $E2, $B0, $D3, $53, $5A, $5E, $54, $55, $E4, $E9, $A3, $10, $40, $AC
  .db $CE, $0F, $9D, $D7, $7B, $95, $14, $14, $CA, $C5, $C1, $C9, $49, $6E, $9C, $FF
  .db $7F, $00, $00, $B0, $80, $BC, $2C, $7F, $60, $D3, $90, $B1, $FF, $FF, $B2, $5E
  .db $DD, $A2, $62, $8F, $41, $53, $FC, $7F, $F2, $D2, $2D, $00, $93, $00, $00, $80
  .db $70, $9F, $9F, $FF, $4C, $7F, $FF, $F3, $7F, $7F, $3F, $3F, $3F, $50, $3C, $91
  .db $92, $D2, $B3, $4F, $0F, $CF, $EF, $EF, $EE, $EF, $E0, $E1, $90, $3C, $33, $3F
  .db $FF, $1F, $00, $00, $00, $E0, $F3, $DF, $34, $E8, $80, $40, $8C, $8C, $15, $BB
  .db $17, $EB, $91, $B2, $9E, $E9, $86, $38, $70, $30, $C4, $C0, $C2, $00, $00, $03
  .db $B7, $00, $04, $38, $7C, $83, $93, $CF, $DC, $E0, $30, $BB, $30, $83, $C0, $74
  .db $CB, $4F, $9F, $F7, $DB, $F8, $F8, $F5, $E5, $35, $BF, $1A, $0C, $FF, $DF, $FF
  .db $FF, $00, $01, $01, $96, $4C, $0C, $12, $38, $08, $1C, $48, $48, $E0, $90, $60
  .db $B8, $F8, $82, $E0, $3C, $68, $C0, $00, $0F, $00, $40, $05, $01, $00, $08, $00
  .db $08, $08, $30, $00, $19, $19, $39, $C5, $C0, $96, $D1, $06, $FE, $BF, $C1, $10
  .db $B3, $6F, $00, $30, $EE, $A6, $A6, $5F, $50, $BF, $31, $5F, $3F, $39, $FE, $FC
  .db $FE, $00, $0E, $0E, $8E, $0D, $02, $07, $04, $06, $03, $0E, $0E, $14, $09, $32
  .db $01, $2E, $49, $4C, $C4, $A1, $02, $09, $67, $09, $05, $00, $00, $00, $80, $00
  .db $00, $00, $40, $40, $C0, $83, $87, $F0, $60, $1E, $76, $49, $FC, $28, $E4, $08
  .db $19, $AB, $1E, $FE, $FE, $F0, $F0, $7F, $1A, $CF, $7F, $5F, $7F, $BF, $FF, $01
  .db $7F, $00, $10, $17, $DE, $4E, $87, $07, $08, $80, $A0, $37, $37, $E6, $20, $39
  .db $BE, $C1, $56, $B7, $B7, $01, $36, $56, $C7, $F9, $A0, $1F, $20, $16, $01, $00
  .db $01, $08, $18, $18, $39, $77, $7F, $87, $FF, $7F, $76, $7F, $6F, $FE, $E7, $EF
  .db $67, $6E, $76, $F7, $28, $EF, $30, $F7, $F7, $70, $08, $EE, $47, $F9, $F9, $F1
  .db $F9, $1F, $FF, $00, $3C, $6A, $13, $D0, $43, $44, $70, $81, $2C, $4F, $4F, $CB
  .db $C1, $01, $B5, $05, $31, $F9, $F9, $F1, $B1, $80, $40, $00, $00, $00, $80, $40
  .db $00, $90, $50, $50, $C8, $EB, $E9, $C4, $F4, $DD, $CB, $C6, $17, $8F, $70, $B0
  .db $D4, $96, $00, $A8, $65, $2A, $0A, $39, $39, $35, $01, $C3, $ED, $A3, $7D, $44
  .db $4F, $F7, $80, $2B, $A3, $83, $83, $C3, $23, $23, $AB, $3B, $B3, $AB, $AB, $A3
  .db $83, $9B, $83, $93, $13, $03, $13, $B5, $A5, $A5, $C5, $E7, $B7, $B7, $01, $D5
  .db $25, $45, $85, $AD, $A5, $A5, $85, $85, $15, $CF, $B7, $B7, $01, $BF, $FB, $E9
  .db $C1, $C5, $17, $95, $27, $ED, $CD, $47, $1D, $85, $1D, $95, $95, $AD, $15, $BD
  .db $FD, $FF, $35, $85, $F5, $E9, $55, $B7, $FF, $FF, $FF

oni_2:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 546 bytes - 47% compressed!
  .db $B7, $FF, $C0, $F9, $B7, $FC, $04, $FD, $FC, $FC, $FC, $B7, $FD, $04, $FC, $FC
  .db $FC, $FD, $FD, $B7, $FF, $05, $FE, $FF, $FE, $FF, $F9, $F8, $FB, $F9, $F8, $F8
  .db $F9, $F9, $FA, $F9, $FB, $FA, $B7, $F8, $04, $FB, $FA, $F8, $F8, $F8, $FB, $F8
  .db $F8, $F8, $FA, $FA, $F8, $F8, $B7, $FB, $04, $F8, $F8, $F8, $FB, $7F, $8F, $87
  .db $02, $81, $83, $00, $58, $35, $3D, $B8, $B8, $B8, $27, $07, $C0, $C1, $01, $D5
  .db $54, $1E, $1C, $91, $51, $80, $05, $8E, $8F, $EE, $D7, $B7, $B7, $01, $BD, $BD
  .db $AD, $3F, $BF, $A3, $A3, $A3, $A1, $33, $38, $3C, $68, $B0, $73, $31, $EC, $C8
  .db $18, $5A, $D4, $D5, $D5, $01, $08, $0C, $2D, $3D, $E4, $D8, $F9, $FF, $FF, $FF
  .db $A0, $C0, $A0, $11, $00, $00, $A3, $82, $DD, $9E, $9E, $90, $01, $1F, $ED, $1D
  .db $00, $DD, $01, $BF, $5F, $0D, $30, $ED, $BF, $63, $FF, $7F, $7F, $B7, $FF, $0A
  .db $7F, $DF, $7F, $33, $EF, $72, $73, $32, $13, $93, $B7, $73, $04, $70, $70, $53
  .db $BD, $6F, $5F, $5F, $5F, $FF, $E0, $FF, $00, $00, $60, $C9, $05, $87, $3F, $FF
  .db $3F, $B3, $B3, $F2, $07, $4A, $D5, $53, $58, $32, $FC, $70, $BB, $7F, $F7, $DB
  .db $3F, $C0, $B7, $FF, $0B, $FB, $F3, $FD, $FC, $FF, $FC, $B7, $FE, $04, $3F, $BF
  .db $F7, $FF, $F8, $F8, $0F, $1D, $CB, $3A, $FB, $FB, $FF, $FF, $FF, $00, $FF, $29
  .db $3A, $E9, $7B, $EB, $F9, $E7, $DB, $C3, $BF, $BF, $57, $7F, $FF, $C7, $47, $09
  .db $A7, $5B, $77, $3F, $FF, $F7, $FF, $BD, $FB, $FE, $FF, $FF, $F7, $F7, $F7, $FF
  .db $CF, $F7, $F2, $CC, $F4, $18, $10, $1F, $D1, $E7, $FF, $D9, $6F, $38, $90, $E8
  .db $D7, $E8, $DF, $DF, $30, $1F, $7F, $6F, $82, $03, $07, $FF, $FF, $01, $FF, $F2
  .db $F2, $F2, $F3, $FE, $F8, $FB, $FD, $FA, $F1, $F1, $F5, $F7, $E7, $AE, $D0, $32
  .db $DB, $46, $5C, $F3, $E4, $19, $E7, $FC, $B7, $FF, $04, $7F, $FF, $FF, $FF, $BF
  .db $FF, $FF, $7F, $FC, $1E, $20, $05, $9F, $7F, $3F, $E7, $CF, $E7, $4F, $9F, $3F
  .db $BF, $0C, $0C, $65, $E5, $83, $2F, $3F, $BF, $3F, $FF, $FF, $80, $FF, $50, $46
  .db $78, $31, $30, $F0, $70, $61, $67, $F0, $F0, $79, $DF, $A6, $AE, $D7, $2E, $5E
  .db $2F, $30, $1F, $FE, $01, $BF, $C7, $F1, $B7, $FF, $11, $FE, $FE, $FE, $E1, $E8
  .db $FF, $70, $EF, $F7, $F7, $50, $E8, $F8, $78, $F0, $F9, $F1, $F0, $FF, $00, $FF
  .db $20, $20, $EC, $0F, $C0, $5E, $49, $73, $45, $9C, $9C, $3C, $0E, $0E, $22, $8E
  .db $86, $76, $7E, $EE, $CE, $FF, $BF, $7F, $FF, $FF, $7F, $BF, $DF, $EF, $FE, $FE
  .db $F6, $F6, $F4, $F9, $FF, $E6, $D0, $FC, $FC, $E4, $D4, $D4, $18, $1D, $1B, $72
  .db $84, $2E, $FD, $06, $06, $03, $03, $03, $1F, $B3, $DC, $7B, $FB, $FF, $7F, $D3
  .db $87, $87, $17, $AF, $CF, $D7, $A7, $5F, $F7, $B7, $C7, $04, $E7, $EF, $E7, $6F
  .db $6F, $5F, $59, $69, $69, $19, $4B, $6B, $49, $99, $F9, $F1, $69, $79, $79, $F9
  .db $79, $21, $01, $41, $41, $05, $07, $07, $01, $11, $11, $31, $F9, $01, $43, $0B
  .db $01, $11, $51, $51, $79, $C1, $C1, $D1, $D3, $93, $EB, $C3, $C3, $AF, $B7, $FF
  .db $FF, $FF

oni_3:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 530 bytes - 48% compressed!
  .db $B7, $FF, $C0, $F8, $F8, $F9, $FB, $FB, $FA, $FB, $F9, $F9, $B7, $F8, $07, $F9
  .db $FA, $F8, $FA, $FB, $FB, $FA, $F9, $F9, $F8, $F8, $FA, $B7, $F8, $05, $F9, $F8
  .db $FA, $B7, $F8, $07, $B7, $FB, $05, $F8, $F8, $F8, $F9, $B7, $F8, $04, $B7, $FB
  .db $04, $F8, $FB, $F8, $FF, $00, $32, $3A, $7D, $FC, $3C, $3D, $37, $36, $B7, $3E
  .db $04, $B6, $B6, $31, $30, $70, $24, $E4, $ED, $4F, $63, $F3, $BA, $FE, $7E, $5D
  .db $1E, $9F, $7E, $AE, $AE, $8E, $04, $0C, $00, $00, $00, $01, $03, $0B, $0F, $4B
  .db $C3, $CC, $CC, $DC, $0C, $2C, $E1, $D7, $17, $17, $03, $03, $03, $23, $03, $1A
  .db $1E, $FF, $FF, $FF, $00, $40, $00, $E0, $EE, $FF, $FF, $83, $B0, $E0, $FE, $FE
  .db $FD, $D1, $1E, $A1, $9F, $93, $EF, $7F, $3D, $9F, $E2, $ED, $D1, $FF, $FC, $C0
  .db $00, $80, $B7, $00, $0A, $80, $00, $00, $0C, $E0, $FC, $FD, $FD, $9C, $B7, $1C
  .db $05, $1F, $1F, $3C, $41, $10, $20, $20, $20, $FF, $FF, $00, $00, $00, $60, $B8
  .db $C1, $8F, $1F, $3F, $7F, $FF, $FF, $EF, $D4, $79, $A8, $1C, $8E, $F6, $11, $E0
  .db $3B, $77, $C7, $C7, $FF, $3F, $B7, $00, $0B, $04, $08, $03, $06, $00, $01, $01
  .db $02, $00, $01, $00, $00, $30, $18, $05, $05, $FD, $FE, $03, $C7, $07, $03, $03
  .db $00, $FF, $FF, $00, $10, $20, $61, $E3, $F1, $F1, $E3, $EB, $CF, $CF, $CF, $C7
  .db $8F, $BF, $BF, $7F, $F7, $D7, $C7, $6F, $FF, $FF, $F8, $E0, $C2, $06, $07, $07
  .db $07, $0F, $0F, $0F, $2F, $2F, $17, $01, $12, $0A, $00, $57, $E0, $DF, $00, $FF
  .db $99, $3F, $A7, $80, $38, $38, $38, $00, $00, $0F, $3F, $7F, $AF, $FE, $FF, $3F
  .db $00, $FF, $FF, $00, $FF, $FF, $FF, $FC, $FF, $FD, $F9, $FC, $F9, $FA, $FA, $F6
  .db $E9, $D8, $B4, $E8, $D0, $03, $82, $F9, $FD, $FF, $FF, $1F, $03, $B7, $00, $04
  .db $80, $80, $80, $C0, $80, $00, $40, $80, $03, $01, $E6, $F8, $B0, $04, $0C, $F4
  .db $C8, $E8, $70, $F0, $40, $E1, $02, $02, $80, $CB, $83, $70, $20, $80, $00, $00
  .db $FF, $FF, $00, $30, $10, $7F, $77, $36, $78, $77, $EE, $D8, $47, $47, $1E, $38
  .db $27, $17, $2E, $81, $61, $41, $EE, $C7, $79, $1E, $DF, $FF, $0F, $B7, $00, $0C
  .db $80, $B7, $00, $04, $01, $01, $06, $0F, $17, $57, $DE, $9F, $1F, $1F, $B8, $E0
  .db $F8, $C6, $06, $0E, $06, $06, $FF, $FF, $00, $8B, $39, $DE, $BE, $3B, $B9, $FF
  .db $06, $82, $07, $07, $0B, $07, $3F, $91, $87, $87, $FF, $67, $EF, $DF, $7F, $B7
  .db $FF, $05, $7F, $3F, $1F, $0E, $0E, $0F, $0E, $0C, $0E, $0C, $18, $38, $34, $6C
  .db $4C, $DC, $1C, $14, $13, $17, $F7, $F0, $BA, $BB, $0B, $0B, $0B, $08, $08, $14
  .db $48, $17, $77, $77, $FF, $FF, $03, $63, $73, $FB, $CB, $5B, $73, $73, $63, $43
  .db $B7, $53, $04, $73, $73, $6B, $E3, $F3, $C3, $EB, $FB, $DB, $9B, $C9, $E9, $BB
  .db $FB, $FB, $63, $03, $43, $43, $B7, $03, $0A, $13, $13, $33, $FB, $FB, $79, $79
  .db $83, $13, $D3, $D3, $DB, $E3, $0B, $13, $11, $D1, $E1, $F9, $E1, $F9, $B7, $FF
  .db $FF, $FF

oni_4:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 469 bytes - 54% compressed!
  .db $B7, $FF, $C0, $F8, $F8, $F9, $B7, $FB, $0D, $FA, $F9, $F9, $F9, $B7, $FB, $05
  .db $FA, $B7, $FB, $07, $FA, $FB, $F9, $B7, $FB, $07, $B7, $F8, $0D, $B7, $FB, $04
  .db $F8, $FB, $F8, $FF, $00, $FE, $B6, $FF, $7F, $BF, $BF, $B2, $CA, $B7, $C2, $04
  .db $CA, $CA, $CC, $CC, $CC, $C8, $88, $81, $81, $2D, $3D, $74, $38, $3D, $9C, $DF
  .db $DF, $FF, $4F, $4F, $4F, $C7, $C7, $CB, $CF, $CD, $CF, $CC, $C4, $C0, $84, $0C
  .db $B7, $00, $05, $03, $17, $17, $17, $03, $03, $03, $23, $03, $02, $1E, $FF, $FF
  .db $FF, $00, $FF, $FF, $9F, $E0, $FF, $FF, $72, $2F, $2F, $41, $41, $03, $3F, $E0
  .db $21, $7F, $FF, $90, $00, $83, $C0, $E3, $FC, $FE, $FF, $FF, $FF, $7F, $7F, $B7
  .db $FF, $0B, $BF, $FF, $FF, $1F, $03, $0D, $0E, $6F, $B7, $0F, $07, $00, $01, $1F
  .db $3F, $3F, $3F, $FF, $FF, $00, $FF, $FF, $9F, $87, $FF, $FB, $EF, $FF, $FF, $3F
  .db $3F, $3F, $8F, $47, $8B, $11, $C1, $F1, $FE, $FE, $C7, $8F, $07, $3F, $B7, $FF
  .db $13, $FC, $FF, $FF, $FF, $3F, $BF, $FF, $FF, $FB, $FB, $FC, $FC, $03, $FB, $FB
  .db $FB, $B7, $FF, $04, $00, $EE, $CE, $AF, $6D, $E1, $E5, $F7, $DB, $E7, $F7, $F7
  .db $F7, $EF, $DF, $7F, $FF, $F7, $77, $67, $BF, $B7, $FF, $0C, $DF, $EF, $F7, $D9
  .db $EB, $FE, $FF, $28, $00, $20, $FF, $40, $66, $40, $00, $AF, $A7, $E7, $D8, $B7
  .db $FF, $04, $C0, $8F, $FE, $FF, $3F, $FF, $FF, $FF, $00, $FF, $FF, $FF, $FC, $FD
  .db $FF, $F8, $FB, $FF, $F7, $F7, $FF, $FE, $FD, $BB, $FF, $FF, $BC, $F0, $98, $FE
  .db $B7, $FF, $0B, $BF, $BF, $7F, $BF, $FF, $FF, $FF, $07, $05, $6F, $FB, $F3, $0F
  .db $27, $17, $CF, $1F, $3F, $DF, $FC, $FC, $F9, $FB, $70, $1F, $3F, $BF, $3F, $FF
  .db $FF, $FF, $00, $CF, $C9, $B7, $B7, $01, $BF, $39, $F7, $77, $EF, $DF, $B7, $B7
  .db $02, $69, $DF, $E6, $E0, $C7, $8F, $7F, $1F, $1F, $38, $87, $00, $E0, $B7, $FF
  .db $14, $FE, $F9, $F0, $E0, $D0, $F6, $77, $F7, $F7, $F0, $E0, $00, $C0, $F0, $F8
  .db $F0, $F0, $FF, $FF, $00, $DF, $AF, $EC, $BE, $FB, $F9, $FF, $FF, $FF, $FB, $FB
  .db $F7, $FF, $8F, $8D, $FF, $F7, $87, $97, $2F, $5F, $7F, $B7, $FF, $08, $FE, $FE
  .db $FE, $FF, $FD, $FD, $FF, $FB, $FF, $F3, $E3, $D3, $A3, $63, $E3, $E0, $E0, $00
  .db $02, $49, $88, $B7, $08, $05, $1C, $08, $1C, $7F, $7F, $FF, $FF, $03, $F3, $FB
  .db $FB, $D3, $A3, $8B, $B7, $DB, $07, $B7, $FB, $05, $D3, $CB, $CB, $EB, $AB, $9B
  .db $8B, $DB, $BB, $FB, $7B, $FB, $3B, $3B, $7B, $B7, $FB, $09, $EB, $EB, $CB, $03
  .db $03, $83, $03, $03, $93, $13, $13, $1B, $03, $03, $13, $13, $13, $E3, $FB, $E3
  .db $B7, $FF, $FF, $FF, $FF

oni_5:
;Compressed picture made with BMP2ASM v1.1 by Levi Lansing (puzzlesome@hotmail.com)
;Compressed from 1024 bytes to 415 bytes - 59% compressed!
  .db $B7, $FF, $D4, $B7, $FC, $05, $FD, $FC, $FC, $FE, $B7, $FF, $1B, $B7, $FC, $04
  .db $FF, $FC, $FF, $FC, $FF, $CD, $CD, $80, $80, $C0, $C0, $CD, $B7, $FD, $07, $B7
  .db $FF, $05, $FE, $FE, $DE, $CE, $CF, $C7, $C3, $63, $21, $20, $80, $D0, $D0, $F0
  .db $F8, $F8, $FC, $FC, $FE, $FE, $B7, $FF, $0A, $FC, $E8, $E8, $E8, $FC, $FC, $FC
  .db $DC, $FC, $FD, $E1, $00, $00, $00, $FF, $FF, $FF, $7F, $1F, $00, $00, $FD, $DF
  .db $DF, $BF, $BF, $FC, $E0, $FF, $DE, $80, $00, $00, $80, $40, $20, $1C, $03, $B7
  .db $00, $04, $80, $80, $B7, $00, $0B, $C0, $C0, $E0, $F0, $FC, $F2, $F1, $B7, $F0
  .db $08, $FF, $FE, $E0, $C0, $C0, $C0, $00, $00, $B7, $FF, $04, $7F, $3E, $7C, $F0
  .db $C0, $80, $C0, $C0, $C0, $70, $B8, $74, $EE, $3F, $0F, $03, $01, $00, $00, $F8
  .db $B7, $00, $11, $B7, $03, $04, $01, $01, $00, $C0, $40, $00, $00, $04, $04, $02
  .db $03, $FC, $04, $04, $04, $B7, $00, $04, $FF, $FF, $FF, $DE, $9E, $1E, $1E, $1C
  .db $34, $B7, $38, $04, $70, $60, $C0, $80, $08, $88, $98, $B7, $00, $0E, $10, $08
  .db $26, $1D, $07, $00, $FF, $00, $FF, $FF, $3F, $7F, $FF, $FF, $5F, $40, $18, $07
  .db $B7, $00, $04, $80, $70, $01, $00, $C0, $00, $00, $00, $FF, $01, $01, $01, $03
  .db $02, $02, $07, $07, $06, $0C, $0C, $08, $11, $23, $47, $07, $0F, $5F, $4F, $66
  .db $B7, $00, $0D, $40, $80, $40, $80, $00, $00, $F8, $0E, $FC, $FC, $E4, $F0, $F8
  .db $E8, $90, $20, $C0, $00, $03, $03, $06, $04, $1F, $E0, $C0, $40, $C0, $00, $00
  .db $00, $FF, $FF, $FF, $C8, $C8, $CF, $8F, $8F, $1F, $3F, $7E, $7E, $F6, $E0, $D9
  .db $FF, $F8, $F0, $80, $80, $00, $00, $00, $FF, $B7, $00, $15, $01, $07, $0F, $1F
  .db $2F, $09, $88, $08, $08, $0F, $1F, $FF, $3F, $0F, $07, $0F, $0F, $00, $00, $FF
  .db $F4, $D6, $33, $61, $FC, $C6, $80, $80, $B7, $00, $05, $F0, $7E, $00, $08, $08
  .db $08, $10, $20, $80, $B7, $00, $08, $B7, $01, $04, $03, $03, $03, $07, $07, $0F
  .db $1F, $3F, $7F, $B7, $FF, $06, $F7, $77, $B7, $F7, $05, $E3, $F7, $E3, $80, $80
  .db $00, $00, $FF, $0F, $07, $07, $3F, $7F, $7F, $B7, $3F, $07, $B7, $1F, $05, $3F
  .db $37, $37, $37, $77, $77, $77, $67, $47, $07, $8F, $9F, $B7, $FF, $14, $EF, $EF
  .db $EF, $E7, $FF, $FF, $EF, $EF, $EF, $1F, $07, $1F, $07, $B7, $FF, $FF, $FF
.end
